com.sun.jna.platform.win32.COM

## Interface IRunningObjectTable

- All Superinterfaces:
    IUnknown
  All Known Implementing Classes:
    RunningObjectTable, RunningObjectTable.ByReference

      public interface IRunningObjectTable
      extends IUnknown

  Manages access to the running object table (ROT), a globally accessible look-up table on each workstation.
  See Also:
    MSDN

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Guid.IID` | `IID`

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinNT.HRESULT` | `EnumRunning(PointerByReference ppenumMoniker)` Creates and returns a pointer to an enumerator that can list the monikers of all the objects currently registered in the running object table (ROT).
    `WinNT.HRESULT` | `GetObject(Pointer pmkObjectName, PointerByReference ppunkObject)` Determines whether the object identified by the specified moniker is running, and if it is, retrieves a pointer to that object.
    `WinNT.HRESULT` | `GetTimeOfLastChange(Pointer pmkObjectName, WinBase.FILETIME.ByReference pfiletime)` Retrieves the time that an object was last modified.
    `WinNT.HRESULT` | `IsRunning(Pointer pmkObjectName)` Determines whether the object identified by the specified moniker is currently running.
    `WinNT.HRESULT` | `NoteChangeTime(WinDef.DWORD dwRegister, WinBase.FILETIME pfiletime)` Records the time that a running object was last modified.
    `WinNT.HRESULT` | `Register(WinDef.DWORD grfFlags, Pointer punkObject, Pointer pmkObjectName, WinDef.DWORDByReference pdwRegister)` Registers an object and its identifying moniker in the running object table (ROT).
    `WinNT.HRESULT` | `Revoke(WinDef.DWORD dwRegister)` Removes an entry from the running object table (ROT) that was previously registered by a call to IRunningObjectTable.Register.

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

- - ### Field Detail

    - #### IID

          static final Guid.IID IID

  - ### Method Detail

    - #### EnumRunning

          WinNT.HRESULT EnumRunning(PointerByReference ppenumMoniker)

      Creates and returns a pointer to an enumerator that can list the monikers of all the objects currently registered in the running object table (ROT). `HRESULT EnumRunning( [out] IEnumMoniker **ppenumMoniker );`
      See Also:
        MSDN

    - #### GetObject

          WinNT.HRESULT GetObject(Pointer pmkObjectName,
                                PointerByReference ppunkObject)

      Determines whether the object identified by the specified moniker is running, and if it is, retrieves a pointer to that object. `HRESULT GetObject( [in] IMoniker *pmkObjectName, [out] IUnknown **ppunkObject );`
      See Also:
        MSDN

    - #### GetTimeOfLastChange

          WinNT.HRESULT GetTimeOfLastChange(Pointer pmkObjectName,
                                          WinBase.FILETIME.ByReference pfiletime)

      Retrieves the time that an object was last modified. `HRESULT GetTimeOfLastChange( [in] IMoniker *pmkObjectName, [out] FILETIME *pfiletime );`
      See Also:
        MSDN

    - #### IsRunning

          WinNT.HRESULT IsRunning(Pointer pmkObjectName)

      Determines whether the object identified by the specified moniker is currently running. `HRESULT IsRunning( [in] IMoniker *pmkObjectName );`
      See Also:
        MSDN

    - #### NoteChangeTime

          WinNT.HRESULT NoteChangeTime(WinDef.DWORD dwRegister,
                                     WinBase.FILETIME pfiletime)

      Records the time that a running object was last modified. `HRESULT NoteChangeTime( [in] DWORD dwRegister, [in] FILETIME *pfiletime );`
      See Also:
        MSDN

    - #### Register

          WinNT.HRESULT Register(WinDef.DWORD grfFlags,
                               Pointer punkObject,
                               Pointer pmkObjectName,
                               WinDef.DWORDByReference pdwRegister)

      Registers an object and its identifying moniker in the running object table (ROT). `HRESULT Register( [in] DWORD grfFlags, [in] IUnknown *punkObject, [in] IMoniker *pmkObjectName, [out] DWORD *pdwRegister );`
      See Also:
        MSDN

    - #### Revoke

          WinNT.HRESULT Revoke(WinDef.DWORD dwRegister)

      Removes an entry from the running object table (ROT) that was previously registered by a call to IRunningObjectTable.Register. `HRESULT Revoke( [in] DWORD dwRegister );`
      See Also:
        MSDN

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.